{
    /**
     * @param {HTMLElement} host
     * @param {import("../../pdfjs/1.0.1/GOVBRPDFJSUserControl.mjs").GOVBRPDFJSUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'editor-pdf', data.VERSAO_JS_COMPONENTE, 'GOVBREditorPDFUC');

        data.URL_CDN = new URL('../../', window.location).toString();
        host.innerHTML = `
        <div class="govbr-editor-pdf-content" id="${data.IDENTIFICADOR_COMPONENTE}"></div>
        `;
        GOVBREditorPDFUC.novoEditor(data, host.querySelector('.govbr-editor-pdf-content'));
    };
    GOVBRDemos.addInitComponente('pspdfkit', init);
}
